
#   File name: hot_backup_checkpoint.sh 
#
#   Purpose :  Performs checkpint at demand 
#              used for compress & remove archive logs 
#
#   Assumption:  init.ora is $ORACLE_HOME/dbs/init$HOST_STR.ora
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s " /as sysdba  " > $SPOOL_FILE <<EOF
set heading off; 
set feedback off;
set echo off
set verify off
set trimspool on

 alter system archive log current;
  select 'last_archive_file_number='||ltrim(max(SEQUENCE#)) from v_\$ARCHIVED_LOG;
exit
EOF                       

