#   File Name: bkup_ctl_totrc.sh 
#
#   Purpose:  Connects to system and runs a SQL*Plus script
#             that backs up the control file to trace
#
#   Assumption:  init.ora's parameter, user_dump_dest only contains
#                the given instance's trace files
#
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#

sqlplus -s  " /as sysdba  " << EOF

set feedback off
set termout  off
set pagesize 0

alter database backup controlfile to trace;
select rtrim(value) 
from  v\$parameter
where name='user_dump_dest';

EOF

