#   File Name: check_archivelog_mode.sh 
#
#   Purpose:  Connects to SQL*Plus and check if the SYSTEM password
#             passed is valid or not
#
#   Return Value :  0 = password is valid  1= password is not valid 
#
#   Parameters :  $1  SPOOL_FILE  --> For ARCHIVELOG Check 
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#  

ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1 ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF
select 'mode='||log_mode from v\$database;
EOF

grep  'mode=ARCHIVELOG' $SPOOL_FILE
STATUS=$?
if [ $STATUS = 0 ]; then  echo "Archive Log Mode"; exit 0; else echo "No Archive Log Mode"; exit 1; fi

