#   Purpose  :  Check the Disk Space 
#   Parameters:
#
#   History of changes:
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error: `basename $0`>"

#if [ "$1" ]; then BKUP_DIR=$1;        else echo $ERRMSG >&2; exit 1; fi
#if [ "$2" ]; then BKUP_SCR_DIR=$2;    else echo $ERRMSG >&2; exit 1; fi

BKUP_DIR=/orabackup/FIN/cold
BKUP_SCR_DIR=/orabackup/scripts

#*** Generate Compressed Database size  
 $BKUP_SCR_DIR/gen_db_size.sh  $BKUP_DIR/database_size.lst 
  ls -l  $BKUP_DIR/database_size.lst

#*** Get the compressed Backup size Based on 80% from File=$BKUP_DIR/database_size.lst 
 COMPRESSED_DB_SIZE1=`grep COMPRESSED_DB_SIZE $BKUP_DIR/database_size.lst|awk -"F"= '{print $2}'`
 COMPRESSED_DB_SIZE=`expr $COMPRESSED_DB_SIZE1`

#*** Get the  Disk usgae of Backup Dir,  
cd $BKUP_DIR
SPACE_USED_IN_BACKUP_DIR_KB=`du -sk |awk '{print $1}'`
SPACE_USED_IN_BACKUP_DIR_BYTES=`echo "$SPACE_USED_IN_BACKUP_DIR_KB 1024 "  | awk '{print $1 * $2}'`

#*** Get the free  Disk Space in File system where BKUP_DIR resides
AVAILABLE_FILE_SYSTEM_SPACE=`df -k . |awk '{print $4}'|grep -v avail`

#*** Total Free Space available for Backup
SPACE_AVAILABLE_FOR_BACKUP=`expr $SPACE_USED_IN_BACKUP_DIR_BYTES + $AVAILABLE_FILE_SYSTEM_SPACE`

#*** Compare to find if there is enough space

 if [ $SPACE_AVAILABLE_FOR_BACKUP  -gt  $COMPRESSED_DB_SIZE ]
 then 
     #SPACE=`expr $SPACE_AVAILABLE_FOR_BACKUP  -  $COMPRESSED_DB_SIZE`
      echo " Status = $?"
     echo "\n  Enough space for Backup"
     echo " Current File System Available space (a)            = $AVAILABLE_FILE_SYSTEM_SPACE"
     echo " Current used Backup Dir space       (b)            = $SPACE_USED_IN_BACKUP_DIR_BYTES"
     echo " Total Space availbale               (a+b)          = $SPACE_AVAILABLE_FOR_BACKUP"
     echo " Space needed (based on 80% Compression of database = $COMPRESSED_DB_SIZE  "
     #echo "SPACE = $SPACE"
     exit 0
  else 
    #SPACE=`expr $SPACE_AVAILABLE_FOR_BACKUP  -  $COMPRESSED_DB_SIZE`
    echo "\n NOT enough Space for backup "
    echo " Current File System Available space (a)            = $AVAILABLE_FILE_SYSTEM_SPACE"
    echo " Current used Backup Dir space       (b)            = $SPACE_USED_IN_BACKUP_DIR_BYTES"
    echo " Total Space availbale               (a+b)          = $SPACE_AVAILABLE_FOR_BACKUP"
    echo " Space needed (based on 80% Compression of database = $COMPRESSED_DB_SIZE  "
    #echo "SPACE = $SPACE"
    exit 1
 fi





