#   File Name: get_archlog_dest.sh 
#
#   Purpose:  displays the archive log destination 
##   Assumptions:
#        1) Instance is in ARCHIVELOG mode
#        2) log_archive_dest_1 = "location=/oracle/admin/RPTPROD/arch mandatory"

#
ERRMSG="`basename $0`: syntax error: `basename $0`  sid "
if [ "$1" ]; then HOST_STR=$1; else echo $ERRMSG >&2; exit 1; fi

SPOOL_FILE=/orabackup/${HOST_STR}/temp/archive_log_dir_dest.lst  
echo $SPOOL_FILE
sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set feedback off
set termout  off
set pagesize 0

select rtrim(value) 
from  v\$parameter
where name='log_archive_dest_1';

EOF

