#   File Name: get_datafiles.sh 
#
#   Purpose:  Connects as SYSTEM and runs a PL/SQL
#             block that displays the list of datafiles 
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;
set linesize 1000
set trimspool on

select file_name  from dba_data_files order by file_name;
EOF


