#   File Name: get_redologs.sh 
#
#  Purpose:  Connects to system and runs a SQL
#             command that displays the list of control files
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;

select member 
from v\$logfile 
/
EOF


