
#   File Name: hot_get_dfile_per_tbsp.sh 
#
#   Purpose:  Connects as SYSTEM and
#             displays a list of datafiles grouped by tablespace name 
#
#   Parameters :  
#                 
#                 $1   SPOOL FILE (OPTIONAL)

SPOOL_FILE=$1

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;
set linesize 1000
set trimspool on

  select tablespace_name ||'~'|| file_name  from dba_data_files 
  where tablespace_name != 'TEMP'
  order by tablespace_name, file_name;

EOF

