#   File Name: get_tablespace_group_list.sh 
#
#   Purpose:   Put tablespace List in multiple list 
#              alternate in ASC or DESC order for paralel process 
#
#   Parameters :  $BKUP_DIR
#               
#              
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error "
if [ "$1" ]; then BKUP_DIR=$1; else echo $ERRMSG >&2; exit 1; fi

SPOOL1="$BKUP_DIR/tbs_group1.lst"
SPOOL2="$BKUP_DIR/tbs_group2.lst"
SPOOL3="$BKUP_DIR/tbs_group3.lst"
SPOOL4="$BKUP_DIR/tbs_group4.lst"
SPOOL5="$BKUP_DIR/tbs_group5.lst"
SPOOL6="$BKUP_DIR/tbs_group6.lst"
SPOOL7="$BKUP_DIR/tbs_group7.lst"
SPOOL8="$BKUP_DIR/tbs_group8.lst"
SPOOL9="$BKUP_DIR/tbs_group9.lst"


sqlplus -s  " /as sysdba  "  << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;
set linesize 1000
set trimspool on
set heading off

spool $SPOOL1
select tablespace_name  from hot_backup_sort 
   where group_number = 1 order by bytes ASC, tablespace_name asc;

spool $SPOOL2
select tablespace_name  from hot_backup_sort 
   where group_number = 2 order by bytes DESC, tablespace_name asc;

spool $SPOOL3
 select tablespace_name  from hot_backup_sort 
   where group_number = 3 order by bytes ASC, tablespace_name asc;

spool $SPOOL4
select tablespace_name  from hot_backup_sort 
   where group_number = 4 order by bytes DESC, tablespace_name asc;

spool $SPOOL5
select tablespace_name  from hot_backup_sort 
   where group_number = 5 order by bytes ASC, tablespace_name asc;

spool $SPOOL6
select tablespace_name  from hot_backup_sort 
   where group_number = 6 order by bytes DESC, tablespace_name asc;

spool $SPOOL7
select tablespace_name  from hot_backup_sort 
   where group_number = 7 order by bytes ASC, tablespace_name asc;

spool $SPOOL8
select tablespace_name  from hot_backup_sort 
   where group_number = 8 order by bytes DESC, tablespace_name asc;

spool $SPOOL9
select tablespace_name  from hot_backup_sort 
   where group_number = 9 order by bytes ASC, tablespace_name asc;

EOF


