
#!/bin/ksh
## This shell calculates the execution time of the scripts
## Parameter : file name being executed 

PTIME=/tmp/ptime.txt   ## Processing Time keeping File, records until execution is over
/usr/bin/time -p  $1  2>$PTIME
TIME_ELAPSED=`grep -i real $PTIME | awk '{print $2}' `
TIME_ELAPSED=`echo "$TIME_ELAPSED 60" | awk '{print $1 / $2}'`
printf "Elapsed Time (minutes)     : %3.2f\n" $TIME_ELAPSED 

