
#   File Name: hot_set_tbs_begin_backup.sh 
#
#   Purpose:  Connect to SQL*Plus as SYSTEM
#              and sets a tablespace to backup mode.
#
#   Parameters :  
#                 $1   TABLESPACE 
#                 $2   SPOOL FILE


ERRMSG="`basename $0`: syntax error "

if [ "$1" ]; then TABLESPACE=$1; else echo $ERRMSG >&2; exit 1; fi

TABLESPACE=$1
SPOOL_FILE=$2

sqlplus -s  " /as sysdba  " >> $SPOOL_FILE << EOF

set verify off;
set termout off;
set pagesize 0;
set linesize 1000
set trimspool on

alter tablespace $TABLESPACE begin backup;
exit;
EOF

