
#   File Name: hot_set_tbsp_end_backup.sh 
#
#   Purpose:   sets a tablespace to backup mode.
#
#   Parameters :  
#                 $1   TABLESPACE 
#                 $2   SPOOL FILE

TABLESPACE=$1
SPOOL_FILE=$2

sqlplus -s  " /as sysdba  " >> $SPOOL_FILE << EOF

set verify off;
set termout off;
set pagesize 0;
set linesize 1000
set trimspool on

alter tablespace $TABLESPACE end backup;
exit;
EOF

