#   File Name: update_finprod_db.sh
#
#   Purpose:  performs Post database restore / update  tasks
# 
#

#
ERRMSG="`basename $0`: syntax error: `basename $0`  sid "
if [ "$1" ]; then HOST_STR=$1; else echo $ERRMSG >&2; exit 1; fi

SPOOL_FILE=/tmp/update_finprod.log
echo $SPOOL_FILE
sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set pagesize 0
set feedback on

prompt  ***********  checking datafile status, if all files are OK
prompt  .............if No value is returned then database is OK 
select b.tablespace_name, a.file#,  a.STATUS, a.NAME
  from v$datafile a, dba_data_files b
  where a.status not in ('SYSTEM', 'ONLINE')
   and  b.FILE_ID = a.FILE#

update axiom.license_table
 set LICENSE_STRING = '08C17B54C66660C0';
  commit;

prompt

connect fdr/fdrer0d
prompt ***********  creating database links for fdr
@/oracle_fs/bin/Update_DBLink.sql

connect fdrw/fdrwprod
prompt  ***********  creating database links for fdrw
@/oracle_fs/bin/Update_DBLink.sql


EOF

