
#   File name: startup_db.sh
#
#   Purpose:     Runs server manager, connects internally, 
#                then starts up the database
#
#   Parameters:  $1   HOST STRING
#                $2   SPOOL FILE
#
#   Assumption:  init.ora is $ORACLE_HOME/dbs/init$HOST_STR.ora
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


sqlplus -s  " /as sysdba  "  <<EOF
startup ;
select to_char(sysdate, 'DD-MM-YY HH24:MM:SS') from dual;
exit
EOF                       

