#   File Name: get_archlog_dest.sh 
#
#   Purpose:  displays the archive log destination 
##   Assumptions:
#        1) Instance is in ARCHIVELOG mode
#        2) log_archive_dest_1 = "location=/oracle/admin/RPTPROD/arch mandatory"

#
ERRMSG="`basename $0`: syntax error: `basename $0`  SPOOL_FILE "
if [ "$1" ]; then SPOOL_FILE=$1; else echo $ERRMSG >&2; exit 1; fi

sqlplus -s  " /as sysdba  "  << EOF
 set heading off;
 set feedback off
 set termout  off
 set pagesize 0
 spool $SPOOL_FILE
   select 'alter tablespace ' || tablespace_name || '  coalesce;' from dba_tablespaces 
   where tablespace_name in ('FDRD' );
 spool off;

 @$SPOOL_FILE

EOF

